//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wMatchPane:
//   Draws form for Files Matching... menu option

#ifndef p4wMatchPane_H
#define p4wMatchPane_H

#include "p4wSpecPane.h"

class StrDict;

class p4wMatchPane : public p4wSpecPane {

public:

	p4wMatchPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wMatchPane();

	//
	// Render functions.
	
	virtual	void	Render( StrDict * varList );

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };

};

#endif // p4wMatchPane_H
